IntegrationsGoogle Ads

List the invoices of one billing setup for a month with amounts, service period and PDF link

POST
/integrations/connections/{connection_id}/providers/googleads/invoices/list

List the invoices of one billing setup for a month with amounts, service period and PDF link. Only accounts on monthly invoicing have invoices.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/googleads/invoices/list" \  -H "Content-Type: application/json" \  -d '{    "customer_id": "0000000000",    "billing_setup": "customers/0000000000/billingSetups/0",    "issue_year": 2019,    "issue_month": "JANUARY"  }'
{  "items": []}